package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag775;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT775Creator;

/**
 * @author wuzhe
 * @date 2023/2/27
 */
public class Tag21Creator extends AbsTagCreate {

     private MT775Creator mt775Creator;

    public Tag21Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt775Creator= (MT775Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag21Value = mt775Creator.getRelatedReference();
        mt775Creator.set("21", tag21Value);
    }
}
